## gnome-keyring 48.0

=== meson_options.txt ===
option('ssh-agent',
  type: 'boolean',
  value: false,
  description: 'Include SSH agent in gnome-keyring',
)

option('selinux',
  type: 'feature',
  value: 'auto',
  description: 'Add support for SELinux',
)

option('systemd',
  type: 'feature',
  value: 'enabled',
  description: 'Add support for systemd socket activation',
)

option('pam',
  type: 'boolean',
  value: true,
  description: 'Build GNOME keyring PAM helper',
)

option('pkcs11-config',
  type: 'string',
  value: '',
  description: 'Directory to install PKCS#11 config (if empty, the default value for p11-kit will be used)',
)

option('pkcs11-modules',
  type: 'string',
  value: '',
  description: 'Directory to install PKCS#11 modules (if empty, the default value for p11-kit will be used)',
)

option('debug-mode',
  type: 'boolean',
  value: true,
  description: 'Turn on/off debug mode',
)

option('manpage',
  type: 'boolean',
  value: true,
  description: 'Build manpage',
)

## gnome-keyring 2.30.3

=== debian/changelog ===
gnome-keyring (2.30.3-5) unstable; urgency=low

  * 07_keyring_encoding.patch: patch from upstream git. Correctly handle 
    keyring names with non-ascii characters.
    Closes: #591659, LP: #553759.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Jan 2011 20:28:48 +0100

gnome-keyring (2.30.3-4) unstable; urgency=low

  * 06_init_timeout.patch: follow upstream and use a 120 second timeout 
    instead of 10. Closes: #603387.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Nov 2010 17:46:27 +0100

gnome-keyring (2.30.3-3) unstable; urgency=low

  * 06_init_timeout.patch: new patch. Exit the daemon when started 
    through the PAM module if it is not initialized in 10 seconds. This 
    avoids leaking gnome-keyring-daemon processes everywhere.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Oct 2010 09:50:46 +0200

gnome-keyring (2.30.3-2) unstable; urgency=high

  * 10_debugging_output.patch: new patch. Stop spewing sensitive 
    information in the system logs. Note that it does *not* spew actual 
    keys or passphrases. This bug was introduced in 2.30.
    Credits go to Romain Françoise for the discovery.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Oct 2010 19:20:54 +0200

gnome-keyring (2.30.3-1) unstable; urgency=low

  * New upstream stable release.
  * Refresh patches for new upstream release.
  * Remove debian/org.freedesktop.secrets.service, merged upstream.
  * debian/control.in
    - Bump Standards-Version to 3.9.0. No further changes.
    - Add Vcs-Browser and Vcs-Svn fields.
    - Add Homepage field.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Jul 2010 04:36:32 +0200

gnome-keyring (2.30.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Update README.Debian to match reality.

  [ Sjoerd Simons ]
  * Add service file for org.freedesktop.secrets to ensure gnome-keyring gets
    autolaunched when it's needed.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 27 Apr 2010 23:11:24 +0100

gnome-keyring (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Required GTK+ >= 2.20.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 09:35:21 +0200

gnome-keyring (2.30.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_hurd_maxpathlen.patch:
    - Fix build on Hurd, again (MAXPATHLEN reintroduced).
  * debian/control.in,
    debian/rules,
    debian/patches/*,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/rules:
    - Pass -c4 to dpkg-gensymbols for stricter checks.

  [ Josselin Mouette ]
  * Break libgnome-keyring0 < 2.30. Closes: #577624.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 21:27:28 +0200

gnome-keyring (2.30.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * The library only suggests the daemon. Closes: #563358.
  * 03_kfreebsd.patch: new version of the patch. Closes: #558406 again.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/control.in,
      debian/libgnome-keyring*:
      - Dropped libgnome-keyring package, it has its own source package now.
    + debian/control.in:
      - Drop GConf build dependency.
    + debian/patches/04_maxpathlen_hurd.patch:
      - Dropped, merged upstream.
    + debian/patches/10_whitelist_system.patch:
      - Dropped, relevant code does not exist anymore.
    + debian/patches/04_link-libtasns1.patch:
      - Fix linking with libtasn1.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Apr 2010 12:49:53 +0200

gnome-keyring (2.28.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 03_kfreebsd.patch: patch from Emmanuel Bouthenot to add kFreeBSD 
    support. Closes: #558406.

  [ Emilio Pozuelo Monfort ]
  * Switch to quilt, refresh patches.
  * debian/patches/04_maxpathlen_hurd.patch:
    - New patch, switch to dynamic allocation to avoid using
      MAXPATHLEN. Fixes FTBFS on GNU/Hurd.
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:50:03 +0100

gnome-keyring (2.28.1-2) unstable; urgency=low

  * 10_whitelist_system.patch: new patch. Whitelist some system 
    directories (/usr/bin and /usr/lib) to avoid drowning the user under 
    useless dialogs. If anything evil can be installed in these 
    directories, all users on the system are doomed and we can give up 
    on any kind of security.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Nov 2009 18:09:05 +0100

gnome-keyring (2.28.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Install the autostart file in /usr/share/gnome, not /etc/xdg.
  * Remove the old file in the postinst.
  * Remove .la file, it’s not references anywhere anymore.
  * Drop clean-la.mk include as well.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Wait until env variables are set on startup. Closes: #516230.
    - debian/control.in:
      + Don't build depend on libhal-storage-dev nor suggest hal,
        we now use libgio to monitor volumes.
      + Only require libtasn1-3-dev >= 0.3.4, not >= 1.0.
    - debian/patches/02_uidir_relocate.patch:
      + Updated.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/watch: Don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 14:22:49 +0200

gnome-keyring (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes numerous crashes in the memory allocator.
      Hopefully closes: #522826 for good.
  * Update build-dependencies.
  * Install API documentation for libgcr.
  * 03_secure-mem_crash.patch: dropped, merged upstream.
  * 04_full_path_in_service.patch: dropped, fixed upstream in another 
    way.
  * Fix FSF address in copyright file.

 -- Josselin Mouette <joss@debian.org>  Fri, 15 May 2009 11:25:28 +0200

gnome-keyring (2.26.0-4) unstable; urgency=low

  * debian/patches/04_full_path_in_service.patch: Added. Put the full path to
    gnome-keyring-daemon in the .service file. Fixes dbus autostarting the
    daemon on demand



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.35.0),
               libgtk2.0-dev (>= 2.20.0),
               libglib2.0-dev (>= 2.16.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               gtk-doc-tools (>= 1.9),
               docbook-xml,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libpam0g-dev,
               libglib2.0-doc
Standards-Version: 3.9.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gnome-keyring/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-keyring/
Homepage: http://live.gnome.org/GnomeKeyring

Package: gnome-keyring
Section: gnome
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11
Breaks: libgnome-keyring0 (<< 2.30)
Recommends: libpam-gnome-keyring
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: libgp11-dev
Section: libdevel
Architecture: any
Replaces: libgnome-keyring-dev (<< 2.25)
Depends: ${misc:Depends},
         libgp11-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16)
Description: GLib wrapper library for PKCS#11 - development
 GP11 is a wrapper based on GLib implementing the PKCS#11 (Cryptoki) 
 interface.
 .
 This package contains the static libraries, header files and 
 documentation needed to build applications using the GP11 library.

Package: libgp11-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GP11 is a wrapper based on GLib implementing the PKCS#11 (Cryptoki) 
 interface.
 .
 This package contains the shared libraries needed to run programs 
 built against the GP11 library.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpam-runtime (>= 1.0.1-6)
Recommends: gnome-keyring
Conflicts: libpam-keyring
Replaces: libpam-keyring
Provides: libpam-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the 
 keyrings using your login password, making gnome-keyring usage 
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and 
 gnome-screensaver to unlock your keyrings when logging in and when 
 unlocking the screen saver.

Package: libgcr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.0),
         libgp11-dev (= ${binary:Version}),
         libgtk2.0-dev (>= 2.20.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the GCR library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --with-root-certs=/etc/ssl/certs

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr0 += -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgp11-0 += -- -c4

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/([\d\.]+)[02468]/ \
        gnome-keyring-(.*)\.tar\.gz

## gnome-keyring 3.0.3

=== debian/changelog ===
gnome-keyring (3.0.3-2) unstable; urgency=low

  * Re-add libgcr0 and libgcr-dev packages

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:59:00 -0700

gnome-keyring (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Move to *.bz2, upstream does not release .gz tarballs any
    more.

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 07:17:56 +0200

gnome-keyring (3.0.2-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/04_expand_LIBEXECDIR.patch: Drop patch, applied from
    upstream
  * debian/rules: Enable tests
  * debian/patches/01_fix_glib_link.patch: Fix FTBFS with --no-add-needed

  [ Martin Pitt ]
  * New upstream release.
  * debian/libgcr-3-0.symbols: Add new symbols from this upstream release.
  * Drop 01_fix_glib_link.patch, applied upstream.
  * debian/rules: As the PKCS11 tests often fail right now, don't cause test
    suite failures to fail the build. Let's see how well this works on the
    Debian buildds first.

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 May 2011 11:34:04 +0200

gnome-keyring (3.0.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Break libgnome-keyring < 3.0.
  * Fail gracefully when capabilities are not supported.
    Closes: #622875, #623335.
  * Break seahorse-plugins < 3.0, since it takes over the GPG 
    functionality.
  * README.Debian: document how to disable gnome-keyring components.
    Closes: #623539.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Apr 2011 19:36:47 +0200

gnome-keyring (3.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * Rename libgcr-dev to libgcr-3-dev, to allow for a future GTK+2-based
    build, if needed.
  * Bump Standards-Version to 3.9.2, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Apr 2011 23:18:31 +0200

gnome-keyring (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Drop debian/patches/01_pam-logging-less-verbose.patch,
    debian/patches/05_use_in_xfce.patch: Applied upstream
  * debian/libgcr-3-0.symbols: Adjust .symbols file
  * debian/gnome-keyring.install: Also install /usr/share/applications/
  * debian/patches/04_expand_LIBEXECDIR.patch: Correctly expand LIBEXECDIR
    in gnome-keyring-prompt.desktop

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:25:25 +0200

gnome-keyring (2.91.91-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
    - Add libcap-dev as build-dependency for linux-any
    - Make gnome-keyring Depends against libcap2-bin for linux-any
    - Vcs-Browser: Use viewsvn instead the horrible wsvn
  * debian/gnome-keyring.postinst:
    - Set CAP_IPC_LOCK capability on gnome-keyring-daemon.
      This would permit gnome-keyring to overcome limits on locked memory
      and prevent private keys to be swapped out.
    - Do not cleanup .desktop files from /etc/xdg/autostart as we are shipping
      them again in that directory
  * debian/libgcr-3-0.symbols, debian/libgck0.symbols: Adjusts symbols files
  * debian/patches/04_link-libtasns1.patch,
    d/p/0001-Link-directly-to-gmodule-for-the-modules-that-need-i.patch:
    Drop patches, not needed anymore
  * debian/patches/05_use_in_xfce.patch: Make gnome-keyring-daemon also start
    for XFCE, taken from Ubuntu
  * debian/gnome-keyring.install:
    - Drop debian/tmp/usr/share/gnome-keyring/introspect,
      debian/tmp/etc/xdg/pkcs11.conf.defaults
    - Move back .desktop files to /etc/xdg/autostart to also startup
      gnome-keyring-daemon for Lxde and Xfce (Closes: #599757)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Mar 2011 22:20:24 +0100

gnome-keyring (2.91.4-3) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:33:53 +0000

gnome-keyring (2.91.4-2) experimental; urgency=low

  * debian/rules,
    debian/control.in:
    - Don't add quilt support, source format 3.0 (quilt) does that for us.
    - Build depend on ca-certificates and let the configure script
      autodetect the certificates dir. Closes: #608003.
  * debian/rules:
    - Reorder includes a bit.
  * debian/libgcr-3-0.symbols:
    - Add a Build-Depends-Package line to get proper dependencies when a
      package build-depends on a higher version of libgcr-dev than what
      it gets from the used symbols.
  * debian/libgcr-3-0.shlibs,
    debian/libgck0.shlibs,
    debian/rules:
    - Generate the shlibs files at build time, and make them depend on the
      upstream version. We have .symbols files anyway, and updating the
      shlibs version is error prone. This puts us on the safe side.
  * debian/control.in:
    - Bump libgtk3.0-dev build dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:50:20 +0000

gnome-keyring (2.91.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Install gnome-keyring-prompt-3. Closes: #607192.

  [ Sjoerd Simons ]
  * New upstream release
  * patches/0001-Link-directly-to-gmodule-for-the-modules-that-need-i.patch
    + Added. Fix build with -Wl,--as-needed
  * gnome-keyring.install: Install pkcs11 modules and config files
  * libgck0.symbols, libgcr-3-0.symbols: Update symbols file
  * debian/rules: Add quilt patchsys and use list-missing

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 25 Dec 2010 21:30:35 +0100

gnome-keyring (2.91.3-1) experimental; urgency=low

  * New upstream release
    - Drop debian/patches/06_init_timeout.patch: Merged upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Remove duplicate Section to please lintian
    - Bump glib {build-}dependencies to 2.25.0

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Dec 2010 17:34:49 +0100

gnome-keyring (2.91.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * Update soname of libgcr
  * Update install files
  * debian/patches/02_uidir_relocate.patch:
    + Removed, merged upstream


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               dh-autoreconf,
               cdbs,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.35.0),
               libgtk2.0-dev,
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.25.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               gtk-doc-tools (>= 1.9),
               docbook-xml,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libpam0g-dev,
               ca-certificates,
               libglib2.0-doc,
               libcap-dev [linux-any]
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-keyring/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-keyring/
Homepage: http://live.gnome.org/GnomeKeyring

Package: gnome-keyring
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
         libcap2-bin [linux-any]
Recommends: libpam-gnome-keyring
Breaks: libgnome-keyring0 (<< 3.0),
        seahorse-plugins (<< 3.0)
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: libgck-dev
Section: libdevel
Architecture: any
Replaces: libgnome-keyring-dev (<< 2.25)
Depends: ${misc:Depends},
         libgck0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0)
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpam-runtime (>= 1.0.1-6)
Recommends: gnome-keyring
Conflicts: libpam-keyring
Replaces: libpam-keyring
Provides: libpam-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the
 keyrings using your login password, making gnome-keyring usage
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and
 gnome-screensaver to unlock your keyrings when logging in and when
 unlocking the screen saver.

Package: libgcr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libgck-dev (= ${binary:Version}),
         libgtk2.0-dev,
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the Gtk+ 2.0 version of the
 GCR library.

Package: libgcr0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the Gtk+ 2.0 version of the GCR library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libgck-dev (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin
Replaces: libgcr-dev (<< 3.0.0-2~)
Breaks: libgcr-dev (<< 3.0.0-2~)
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the Gtk+ 3.0 version of the
 GCR library.

Package: libgcr-3-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the Gtk+ 3.0 version of the GCR library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --enable-gtk-doc

DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3.0
DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2.0

# Default installation source dir is the gtk3, override for gtk2 based library
# packages only
DEB_DH_INSTALL_SOURCEDIR = $(or $(DEB_DH_INSTALL_SOURCEDIR_$(cdbs_curpkg)),$(DEB_DH_INSTALL_SOURCEDIR_ALL))
DEB_DH_INSTALL_SOURCEDIR_ALL = debian/install/gtk3
DEB_DH_INSTALL_SOURCEDIR_libgcr0 = debian/install/gtk2
DEB_DH_INSTALL_SOURCEDIR_libgcr-dev = debian/install/gtk2

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck0 += -V -- -c4

common-binary-post-install-arch:: list-missing

install/libpam-gnome-keyring::
	cp -r debian/pam-configs debian/install/gtk3/usr/share

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/([\d\.]+)[02468]/ \
        gnome-keyring-(.*)\.tar\.bz2

## gnome-keyring 3.2.0

=== debian/changelog ===
gnome-keyring (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Don't install setuid when filesystem capabilities not avail.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 26 Sep 2011 08:59:56 -0400

gnome-keyring (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Add back the file format "documentation"
    - Make .desktop file match prompt process so icon and title are shown
    - Fix packaging issues installing the pkcs11 module
    - return correct error code in gpg-agent for unimplemented stuff
    - Fixes for parsing/viewing various (sometimes slightly invalid) PKCS#12 files
    - Allow daemon to access secrets of internal PKCS#11 modules, so that we can
      do things like hash NTLM and Kerberos secrets in the future.
    - Build and documentation fixes
    - Updated translations
  * debian/control.in: Bump libp11-kit-dev build dependency to >= 0.6
    according to configure.ac.
  * Drop 01_git_fix_build.patch, upstream now.
  * Drop 05_correct_gpg_agent_error_code.patch, upstream now.
  * 99_ltmain_as-needed.patch: Refresh.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Sep 2011 14:58:20 +0200

gnome-keyring (3.1.91-0ubuntu4) oneiric; urgency=low

  * debian/patches/05_correct_gpg_agent_error_code.patch:
    - Return correct error code for unimplemented GETINFO requests to
      the agent (LP: #681002)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Sep 2011 14:36:02 -0400

gnome-keyring (3.1.91-0ubuntu3) oneiric; urgency=low

  * gnome-keyring.gsettings-override: 
    - set the default keyserver to the ubuntu one (used to be in seahorse)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 23:36:45 +0200

gnome-keyring (3.1.91-0ubuntu2) oneiric; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - Added gcr-viewer app
  * debian/patches/05_revert_gcr_soname_bump.patch:
    - Dropped, applied usptream

  [ Rodrigo Moya ]
  * debian/patches/01_git_fix_build.patch:
    - Fix linking of gcr-viewer
  * debian/libgcr-3-1.symbols:
  * debian/libgck-1-0.symbols:
    - Added new symbols

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 06 Sep 2011 10:34:09 +0200

gnome-keyring (3.1.4-0ubuntu2) oneiric; urgency=low

  * libgck-1-dev should depend on libp11-kit-dev
    - update debian/control.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Aug 2011 14:22:20 +0100

gnome-keyring (3.1.4-0ubuntu1) oneiric; urgency=low

  [ Chris Coulson ]
  * New upstream release
  * Drop the multi-flavor (gtk2/gtk3) build - the new version supports
    only gtk3
    - update debian/rules
    - bump debian/compat to 7, else we need to add debian/tmp back to all
      the install files so that dh_install can find them (or continue to
      specify DEB_DH_INSTALL_SOURCEDIR in debian/rules)
    - Drop libgcr1 and libgcr-dev from debian/control.in
    - Remove debian/libgcr1.install and debian/libgcr-dev.install
    - Drop the libgtk2.0-dev build-depend
  * Update for the libgck -> libgck-1 soname change
    - update debian/control
    - rename debian/libgck0.install => debian/libgck-1-0.install
    - update debian/libgck-1-0.install
    - rename debian/libgck0.symbols => debian/libgck-1-0.symbols
    - update debian/libgck-1-0.symbols
    - rename debian/libgck-dev.install => debian/libgck-1-dev.install
    - update debian/libgck-1-dev.install
  * Update symbols for libgcr-3. Note that upstream removed some symbols
    without bumping the soname (in addition to adding symbols). However,
    these aren't actually used anywhere, and they have only ever existed
    in the current unstable series so we just ignore this for now :/
    - update debian/libgcr-3-1.symbols
  * Drop debian/patches/05_onlyshowin_unity.patch - fixed upstream
  * Add build-depend on libp11-kit-dev
  * Install the contents of /usr/share/icons and /etc/pkcs11
    - update debian/gnome-keyring.install
  * Revert an unintentional change of the libgcr soname to an older version
    - add debian/patches/05_revert_gcr_soname_bump.patch
    - update debian/patches/series

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/99git_fs_caps_11a5d41.patch,
    debian/patches/99git_ipc_lock_caps_ad67edd.patch: dropped, included in
    release upstream tarball.

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Aug 2011 12:29:33 +0100

gnome-keyring (3.1.1-0ubuntu4) oneiric; urgency=low

  * Use chroot /target instead of in-target in the ubiquity hook.
    This is to avoid locking the installer. (LP: #820485)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Aug 2011 15:28:01 -0400

gnome-keyring (3.1.1-0ubuntu3) oneiric; urgency=low

  * debian/patches/99git_fs_caps_11a5d41.patch: cherry-pick patch from git:
    improve checks for FS capabilities. 
  * debian/patches/99git_ipc_lock_caps_ad67edd.patch: cherry-pick patch from
    git: accept to run if ipc_lock capability is not available. (LP: #813755)
  * debian/gnome-keyring.ubiquity: apply capabilities at the end of the
    ubiquity process to make sure new installs have gnome-keyring-daemon with
    cap_ipc_lock+ep.
  * debian/rules: install ubiquity target-config script.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 02 Aug 2011 15:42:31 -0400

gnome-keyring (3.1.1-0ubuntu2) oneiric; urgency=low

  * debian/rules: Disable test suite during package build. It keeps hanging on
    the buildds, which still run a lucid kernel.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2011 10:09:32 +0200

gnome-keyring (3.1.1-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for unstable versions.
  * New upstream release
  * debian/control.in: libcap-dev → libcap-ng-dev build dependency, as per new
    upstream configure.ac.
  * SONAME bump of libgcr0 to libgcr1.
  * SONAME bump of libgcr-3-0 to libgcr-3-1.
  * debian/libgcr-3-1.symbols: Update for changed symbols.
  * debian/control: Add Replaces: to libgcr0 and libgcr-3-0, as they share
    /usr/share/gcr/ui/*.ui.



=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Source: gnome-keyring
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5),
                dh-autoreconf,
                cdbs,
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.35.0),
-               libgtk2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.25.0),
                libtasn1-3-dev (>= 0.3.4),
@@ -25,7 +25,8 @@
                libpam0g-dev,
                ca-certificates,
                libglib2.0-doc,
-               libcap-dev [linux-any]
+               libcap-ng-dev [linux-any],
+               libp11-kit-dev (>= 0.6)
 Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-keyring/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-keyring/
@@ -49,13 +50,16 @@
  password, and there is also a session keyring which is never stored to
  disk, but forgotten when the session ends.
 
-Package: libgck-dev
+Package: libgck-1-dev
 Section: libdevel
 Architecture: any
-Replaces: libgnome-keyring-dev (<< 2.25)
+Breaks: libgck-dev
+Replaces: libgnome-keyring-dev (<< 2.25),
+          libgck-dev
 Depends: ${misc:Depends},
-         libgck0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.0)
+         libgck-1-0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.25.0),
+         libp11-kit-dev
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
  interface.
@@ -63,7 +67,7 @@
  This package contains the static libraries, header files and
  documentation needed to build applications using the GCK library.
 
-Package: libgck0
+Package: libgck-1-0
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -98,41 +102,13 @@
  gnome-screensaver to unlock your keyrings when logging in and when
  unlocking the screen saver.
 
-Package: libgcr-dev
-Section: libdevel
-Architecture: any
-Depends: ${misc:Depends},
-         libgcr0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.0),
-         libgck-dev (= ${binary:Version}),
-         libgtk2.0-dev,
-         libtasn1-3-dev (>= 0.3.4),
-         libtasn1-3-bin
-Description: Library for Crypto UI related task - development
- GCR is a library for crypto UI and related tasks.
- .
- This package contains the static libraries, header files and
- documentation needed to build applications using the Gtk+ 2.0 version of the
- GCR library.
-
-Package: libgcr0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Library for Crypto UI related task - runtime
- GCR is a library for crypto UI and related tasks.
- .
- This package contains the shared libraries needed to run programs
- built against the Gtk+ 2.0 version of the GCR library.
-
 Package: libgcr-3-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libgcr-3-0 (= ${binary:Version}),
+         libgcr-3-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.25.0),
-         libgck-dev (= ${binary:Version}),
+         libgck-1-dev (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
          libtasn1-3-dev (>= 0.3.4),
          libtasn1-3-bin
@@ -145,11 +121,12 @@
  documentation needed to build applications using the Gtk+ 3.0 version of the
  GCR library.
 
-Package: libgcr-3-0
+Package: libgcr-3-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: libgcr-3-0
 Description: Library for Crypto UI related task - runtime
  GCR is a library for crypto UI and related tasks.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

#DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
                             --enable-gtk-doc

DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck0 += -V -- -c4

common-binary-post-install-arch:: list-missing

install/gnome-keyring::
	install -m0755 -D debian/gnome-keyring.ubiquity \
		debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps

install/libpam-gnome-keyring::
	cp -r debian/pam-configs debian/tmp/usr/share

## gnome-keyring 3.2.2

=== debian/changelog ===
gnome-keyring (3.2.2-2ubuntu4) precise; urgency=low

  * debian/rules:
    - Disable tests.  They are known to be racy.  I've been trying to rebuild
      i386 for a few days, but in order to get everything built for Final
      Freeze, I'm just disabling them.  Apparently, the tests work better in
      upstream 3.4, so next cycle we should re-enable them.
      (The tests normally didn't fail a build anyway, since they have || true,
      but this particular failure involved them never returning and the build
      times out.)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 12 Apr 2012 09:14:28 -0400

gnome-keyring (3.2.2-2ubuntu3) precise; urgency=low

  * debian/patches/05_grab_tracking.patch: track when we ungrabbed the keyboard
    because the window state changed so that we only re-grab it when
    we had initially ungrabbed it for this reason. (LP: #931958)

 -- Sam Spilsbury <sam.spilsbury@canonical.com>  Tue, 03 Apr 2012 15:46:24 +0800

gnome-keyring (3.2.2-2ubuntu2) precise; urgency=low

  * ubiquity-hook: Call 'logger' instead of 'echo' so that the error is
    actually recorded and it doesn't confuse debconf. (LP: #964857)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Mar 2012 14:58:36 -0400

gnome-keyring (3.2.2-2ubuntu1) precise; urgency=low

  * Synchronizing on Debian including fix for '"gnome-keyring:: no socket to 
    connect to" errors in non GNOME sessions' (lp: #914305)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Feb 2012 15:38:26 +0100

gnome-keyring (3.2.2-2) unstable; urgency=low

  [ Martin Pitt ]
  * Add 00git_gmodule_include.patch: Fix FTBFS due to missing gmodule package
    check when building against glib 2.31.
  * Add 00git_glib_2.31_deprecations.patch: Fix deprecated API for building
    with glib 2.31. Backported from upstream git head. (LP: #911125)

  [ Michael Biebl ]
  * Add 00git_rpc-layer-Correctly-handle-case-where-gnome-keyring-.patch:
    Correctly handle case where gnome-keyring-daemon is not running. Fixes the
    infamous "gnome-keyring:: no socket to connect to" warning from the
    gnome-keyring pam module. Closes: #649408
  * Drop debian/patches/99_ltmain_as-needed.patch: It conflicts with
    dh-autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 20:02:03 +0100

gnome-keyring (3.2.2-1ubuntu2) precise; urgency=low

  * debian/control.in: Fix typo in Breaks/Replaces. (LP: #911232)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 15:13:54 +0100

gnome-keyring (3.2.2-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add debian/gnome-keyring.gsettings-override: Prefer
      keyserver.ubuntu.com.
    - Add debian/gnome-keyring.ubiquity: Apply capabilities at the end of the
      ubiquity process to make sure new installs have gnome-keyring-daemon with
      cap_ipc_lock+ep. Install this in debian/rules.
    - Add 04_nodisplay_autostart.patch: Clean up Startup Applications dialog
      by hiding default apps.
    - debian/watch: Watch for development versions.
  * Add 01_gmodule_include.patch: Fix FTBFS due to missing include/wrong
    linking.
  * Add 00git_glib_2.31_deprecations.patch: Fix deprecated API for building
    with glib 2.31. Backported from upstream git head. (LP: #911125)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 12:49:49 +0100

gnome-keyring (3.2.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * Drop libgcr0 and libgcr-dev again, upstream no longer supports GTK 2
    builds.
  * Bump debhelper compatibility level to 8.
  * Add Build-Depends on libp11-kit-dev (>= 0.6).
  * Change Build-Depends on libcap-dev to libcap-ng-dev.
  * debian/watch: Track .xz tarballs.
  * debian/rules: Don't run update-mime-database utility.

  [ Jordi Mallach ]
  * Update Vcs-* URLs.

  [ Michael Biebl ]
  * debian/gnome-keyring.install: Install icons, mime types, pkcs11 config
    files and the pkcs11 modules from the multiarch paths.
  * Update for the soname bumps of libgcr and libgck:
    - Rename libgck0 → libgck-1-0.
    - Rename libgck-dev → libgck-1-dev.
    - Rename libgcr-3-0 → libgcr-3-1.
    - Update symbols files.
  * Split the API documentation into libgck-1-doc and libgcr-3-doc and add the
    necessary Breaks/Replaces.
  * Split the data files from libgcr-3-1 into a libgcr-3-common package and
    make libgcr-3-1 depend on it.
  * Make the -dev packages depend on libp11-kit-dev.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 15:01:44 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-keyring
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               cdbs,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.35.0),
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.25.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               gtk-doc-tools (>= 1.9),
               docbook-xml,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libp11-kit-dev (>= 0.6),
               libpam0g-dev,
               ca-certificates,
               libglib2.0-doc,
               libcap-ng-dev [linux-any]
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-keyring/ubuntu
Homepage: http://live.gnome.org/GnomeKeyring

Package: gnome-keyring
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
         libcap2-bin [linux-any]
Recommends: libpam-gnome-keyring
Breaks: libgnome-keyring0 (<< 3.0),
        seahorse-plugins (<< 3.0)
Description: GNOME keyring services (daemon and tools)
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 The program can manage several keyrings, each with its own master
 password, and there is also a session keyring which is never stored to
 disk, but forgotten when the session ends.

Package: libpam-gnome-keyring
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpam-runtime (>= 1.0.1-6)
Recommends: gnome-keyring
Conflicts: libpam-keyring
Replaces: libpam-keyring
Provides: libpam-keyring
Description: PAM module to unlock the GNOME keyring upon login
 gnome-keyring is a daemon in the session, similar to ssh-agent,
 and other applications can use it to store passwords and other
 sensitive information.
 .
 This package contains a PAM module that will automatically unlock the
 keyrings using your login password, making gnome-keyring usage
 transparent without losing its security benefits.
 .
 When installed, this module will automatically be used by GDM and
 gnome-screensaver to unlock your keyrings when logging in and when
 unlocking the screen saver.

Package: libgck-1-dev
Section: libdevel
Architecture: any
Replaces: libgnome-keyring-dev (<< 2.25)
Depends: ${misc:Depends},
         libgck-1-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libp11-kit-dev
Suggests: libgck-1-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgck-dev (<< 3.2.2-1)
Breaks: libgck-dev (<< 3.2.2-1)
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-1-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgcr-3-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.0),
         libgck-1-dev (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin,
         libp11-kit-dev
Suggests: libgcr-3-doc
Replaces: libgcr-dev (<< 3.0.0-2~)
Breaks: libgcr-dev (<< 3.0.0-2~)
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgcr-3-dev (<< 3.2.2-1)
Breaks: libgcr-3-dev (<< 3.2.2-1)
Description: Library for Crypto UI related task - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-3-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcr-3-common
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the GCR library.

Package: libgcr-3-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: libgcr-3-1 (<< 3.2.2-1)
Breaks: libgcr-3-1 (<< 3.2.2-1)
Description: Library for Crypto UI related task - common files
 GCR is a library for crypto UI and related tasks.
 .
 This package contains data files uses by the GCR library.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,10 @@
 
 #DEB_MAKE_CHECK_TARGET := -k check || true
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --with-pam-dir=/lib/security \
-                             --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
+                             --with-pam-dir=/lib/security \
+                             --enable-gtk-doc \
+                             --disable-update-mime
 
 DEB_DH_MAKESHLIBS_ARGS_gnome-keyring := --no-act
 DEB_DH_MAKESHLIBS_ARGS_libgcr-3-0 += -V -- -c4
@@ -21,8 +23,5 @@
 common-binary-post-install-arch:: list-missing
 
 install/gnome-keyring::
-	install -m0755 -D debian/gnome-keyring.ubiquity \
-		debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps
+	install -m0755 -D debian/gnome-keyring.ubiquity debian/gnome-keyring/usr/lib/ubiquity/target-config/50gkd-caps
 
-install/libpam-gnome-keyring::
-	cp -r debian/pam-configs debian/tmp/usr/share

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/([\d\.]+)/ \
        gnome-keyring-(.*)\.tar\.bz2
